#### D.12.7.2 whichvariable

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  whichvariable(p); poly p

Return:
  poly: if p is a univariate monomial, the variable. Otherwise 0.

Assume:
  p is a monomial

Example:

    LIB "rootsur.lib";
    ring r = 0,(x,y),dp;
    whichvariable(x5);
    ==> x
    whichvariable(x3y);
    ==> 0

See also: isuni.

User manual for Singular version 4.4.1, 2025, generated by texi2html.